Main Page Class List Class Members

# sdk/extensions/serialization/include/NvBlastExtLlSerialization.h File Reference

`#include "NvBlastGlobals.h"`

Go to the source code of this file.

## Classes
struct | Nv::Blast::LlObjectTypeID
## Namespaces
namespace | Nv
namespace | Nv::Blast
## Functions
size_t | NvBlastExtLlSerializerLoadSet (Nv::Blast::ExtSerialization &serialization)
uint64_t | NvBlastExtSerializationSerializeAssetIntoBuffer (void *&buffer, Nv::Blast::ExtSerialization &serialization, const NvBlastAsset *asset)
uint64_t | NvBlastExtSerializationSerializeFamilyIntoBuffer (void *&buffer, Nv::Blast::ExtSerialization &serialization, const NvBlastFamily *family)

## Function Documentation

size_t NvBlastExtLlSerializerLoadSet | ( | Nv::Blast::ExtSerialization & | serialization | ) |

Load all low-level serializers into the ExtSerialization manager. *N.B.* This is done automatically when the ExtSerialization manager is created via NvBlastExtSerializationCreate(), so currently this public function is unnecessary. Note also that other modules' serializers (ExtTkSerialization and ExtPxSerialization) are _not_ loaded automatically, and need to be explicitly loaded by the user using their respective load functions.

It does no harm to call this function more than once; serializers already loaded will not be loaded again.

Parameters:

  `[in]` | serialization | Serialization manager into which to load serializers.

Returns:
  the number of serializers loaded.

uint64_t NvBlastExtSerializationSerializeAssetIntoBuffer | ( | void *& | buffer,
|  | Nv::Blast::ExtSerialization & | serialization,
|  | const NvBlastAsset * | asset |
| ) |  |  |

Utility wrapper function to serialize an NvBlastAsset. Allocates the buffer internally using the callack set in ExtSerialization::setBufferProvider.

Equivalent to:

serialization.serializeIntoBuffer(buffer, asset, Nv::Blast::LlObjectTypeID::Asset);

Parameters:

  `[out]` | buffer | Pointer to the buffer created.
  `[in]` | serialization | Serialization manager.
  `[in]` | asset | Pointer to the NvBlastAsset to serialize.

Returns:
  the number of bytes serialized into the buffer (zero if unsuccessful).

uint64_t NvBlastExtSerializationSerializeFamilyIntoBuffer | ( | void *& | buffer,
|  | Nv::Blast::ExtSerialization & | serialization,
|  | const NvBlastFamily * | family |
| ) |  |  |

Utility wrapper function to serialize an NvBlastFamily. Allocates the buffer internally using the callack set in ExtSerialization::setBufferProvider.

Equivalent to:

serialization.serializeIntoBuffer(buffer, family, Nv::Blast::LlObjectTypeID::Family);

Parameters:

  `[out]` | buffer | Pointer to the buffer created.
  `[in]` | serialization | Serialization manager.
  `[in]` | family | Pointer to the NvBlastFamily to serialize.

Returns:
  the number of bytes serialized into the buffer (zero if unsuccessful).